//+------------------------------------------------------------------+
//|                                                             .mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Luciano Leo Borges"

// ====================================================================================================
// 
extern double TakeProfit = 50;   
extern double Stoploss   = 15; 

extern double TrailingStop1 = 15; // para sair no zero a zero colocar o valor do TrailingStopTrigger1 +1 Ex.:16
extern double TrailingStop2 = 40; // aciona TrailingStopTrigger2 1 pip acima do valor. a cada pip  modificado o stoploss.
extern double TrailingStopTrigger1 = 16; // aciona TrailingStop1 quando intervalo de TrailingStopTrigger1  TrailingStopTrigger2
extern double TrailingStopTrigger2 = 25; // usado para controlar o intervalo do TrailingStop1.
extern double Lot = 0.1;

extern string nameEA       = "By Luciano ";  // EA identifier

int start()
  
 { 
// ==================================================================================================== 
//  CONTROLA ORDEM DE COMPRA OU VENDA J EM OPERAO
// ==================================================================================================== 
  for(int i=0;i<OrdersTotal();i++)
  {
    if(OrderSelect(i, SELECT_BY_POS, MODE_TRADES)==true)//TRUE=comprado ou vendido
    {
      if (OrderSymbol()!=Symbol()) continue; // S vai passar para baixo se for a moeda desejada
      {
         if(OrderType()==OP_BUY) // Est comprado, faz o TrailingStop1
         {
           if(TrailingStop1>0)
             if(Bid-OrderOpenPrice()>Point*TrailingStopTrigger1 && Bid-OrderOpenPrice()<TrailingStopTrigger2*Point) // intervalo dos triggers
                if(OrderStopLoss()<Bid-Point*TrailingStop1)
                     OrderModify(OrderTicket(),OrderOpenPrice(),Bid-Point*TrailingStop1,OrderTakeProfit(),0,Green);
         }
   
         if(OrderType()==OP_BUY) // Est comprado, faz o TrailingStop2
         {
           if(TrailingStop2>0)
             if(Bid-OrderOpenPrice()>Point*TrailingStopTrigger2)
              if(Bid-OrderOpenPrice()>=Point*TrailingStop2)
                 if(OrderStopLoss()<Bid-Point*TrailingStop2)
                     OrderModify(OrderTicket(),OrderOpenPrice(),Bid-Point*TrailingStop2,OrderTakeProfit(),0,Green);
         }
   

         if(OrderType()==OP_SELL) // Est vendido, faz o TrailingStop1
         {
           if(TrailingStop1>0)
             if(OrderOpenPrice()-Ask>TrailingStopTrigger1*Point && OrderOpenPrice()-Ask<TrailingStopTrigger2*Point) // t no intervalo
                if(OrderStopLoss()>Ask+Point*TrailingStop1)
                   OrderModify(OrderTicket(),OrderOpenPrice(),Ask+Point*TrailingStop1,OrderTakeProfit(),0,Red);
         }
         
         if(OrderType()==OP_SELL) // Est vendido, faz o TrailingStop2
         {
           if(TrailingStop2>0)
             if(OrderOpenPrice()-Ask>TrailingStopTrigger2*Point)
                if(OrderOpenPrice()-Ask>=Point*TrailingStop2)
                  if(OrderStopLoss()>Ask+Point*TrailingStop2)
                     OrderModify(OrderTicket(),OrderOpenPrice(),Ask+Point*TrailingStop2,OrderTakeProfit(),0,Red);
         }
      }    
    }
  }
 


// ==================================================================================================== 
//  ABRE ORDEM DE COMPRA OU VENDA
// ==================================================================================================== 

  for(int c=0;c<OrdersTotal();c++)
  {
    if(OrderSelect(c, SELECT_BY_POS, MODE_TRADES)==true)//TRUE=comprado ou vendido
      if (OrderSymbol()==Symbol())return (0) ; // S vai passar para baixo se no tiver operao na moeda
  }
//       
//         if (v1 > 0)   PUT THE INDICATOR HERE ????  LUC_INDICATOR
         
         {
         OrderSend(Symbol(),OP_BUY,Lot,Ask,2,Ask-Stoploss*Point,Ask+TakeProfit*Point,"CORR",19201);
         }
     
 //         if (v1 < 0)
          {
          OrderSend(Symbol(),OP_SELL,Lot,Bid,2,Bid+Stoploss*Point,Bid-TakeProfit*Point,"CORR",19201);
          }
 }

